const { contextBridge, ipcRenderer } = require('electron');
const marked = require('marked');

contextBridge.exposeInMainWorld('versions', {
    node: () => process.versions.node,
    chrome: () => process.versions.chrome,
    electron: () => process.versions.electron,
    ping: () => ipcRenderer.invoke('ping'),
    renderMarkdownToHtml: (currentContent) => ipcRenderer.invoke('renderMarkdownToHtml', currentContent),
    acars: () => ipcRenderer.invoke('acars'),
});